Groovy Documentation

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z _

## A

all(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for all HTTP methods
allWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for all HTTP methods
appendBuffer(Buffer) - Method in Buffer
  Appends the specified `Buffer` to the end of this Buffer.
appendByte(byte) - Method in Buffer
  Appends the specified `byte` to the end of the Buffer.
appendBytes(byte[]) - Method in Buffer
  Appends the specified `byte[]` to the end of the Buffer.
appendDouble(double) - Method in Buffer
  Appends the specified `double` to the end of the Buffer.
appendFloat(float) - Method in Buffer
  Appends the specified `float` to the end of the Buffer.
appendInt(int) - Method in Buffer
  Appends the specified `int` to the end of the Buffer.
appendLong(long) - Method in Buffer
  Appends the specified `long` to the end of the Buffer.
appendShort(short) - Method in Buffer
  Appends the specified `short` to the end of the Buffer.The buffer will expand as necessary to accomodate any bytes written.
appendString(String) - Method in Buffer
  Appends the specified `String str` to the end of the Buffer with UTF-8 encoding.
asClosure() - Method in RouteMatcher
  Returns:
    Convert to a Closure so can be passed to (e.g.)
AsyncFile - Class in org.vertx.groovy.core.file
  Represents a file on the file-system which can be read from, or written to asynchronously.
AsyncFile(JAsyncFile) - Constructor in AsyncFile

## B

bodyHandler(Closure) - Method in HttpClientResponse
  Convenience method for receiving the entire request body in one piece.
bodyHandler(Closure) - Method in HttpServerRequest
  Convenience method for receiving the entire request body in one piece.
bridge(Map, List, List, long, String) - Method in SockJSServer
  Install an app which bridges the SockJS server to the event bus.
Buffer - Class in org.vertx.groovy.core.buffer
  A Buffer represents a sequence of zero or more bytes that can be written to or read from, and which expands as necessary to accomodate any bytes written to it.
Buffer(String) - Constructor in Buffer
  Create a new Buffer that contains the contents of `String str` encoded with UTF-8 encoding

## C

cancelTimer(long) - Method in Vertx
  Cancel the timer with the specified `id`.
chmod(String, String, String, Closure) - Method in FileSystem
  Change the permissions on the file represented by `path` to `perms`, asynchronously.
chmodSync(String, String, String) - Method in FileSystem
  Synchronous version of chmod(String, String, String, Closure)
close(Closure) - Method in AsyncFile
  Close the file.
close() - Method in HttpClient
  Close the HTTP client.
close() - Method in HttpServer
  Close the server.
close() - Method in HttpServerResponse
  Close the underlying TCP connection
close() - Method in NetClient
  Close the client.
close(Closure) - Method in NetServer
  Close the server.
close() - Method in NetSocket
  Close the socket
close() - Method in SockJSSocket
  Close the socket
close() - Method in WebSocket
  Close the websocket
closedHandler(Closure) - Method in NetSocket
  {@inheritDoc}
closedHandler(def) - Method in WebSocket
  Set a closed handler on the connection
closeHandler(Closure) - Method in HttpServerResponse
  Set a close handler for the response.
connect(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP CONNECT request with the specified `uri`.
connect(int, String, Closure) - Method in NetClient
  Attempt to open a connection to a server at the specific `port` and `host`.
connect(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP CONNECT
connectHandler(Closure) - Method in NetServer
  Supply a connect handler for this server.
connectWebsocket(String, WebSocketVersion, Closure) - Method in HttpClient
  Attempt to connect an HTML5 websocket to the specified URI
connectWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP CONNECT
Container - Class in org.vertx.groovy.deploy
  This class represents the container in which a verticle runs.
Container(def) - Constructor in Container
continueHandler(Closure) - Method in HttpClientRequest
  If you send an HTTP request with the header `Expect` set to the value `100-continue` and the server responds with an interim HTTP response with a status code of `100` and a continue handler has been set using this method, then the `handler` will be called.
convertMessage(def) - Method in EventBus
copy() - Method in Buffer
  Returns a copy of the entire Buffer.
copy(String, String, boolean, Closure) - Method in FileSystem
  Copy a file from the path `from` to path `to`, asynchronously.
copySync(String, String, boolean) - Method in FileSystem
  Synchronous version of copy(String, String, boolean, Closure)
createFile(String, String, Closure) - Method in FileSystem
  Creates an empty file with the specified `path`, asynchronously.
createFileSync(String, String) - Method in FileSystem
  Synchronous version of createFile(String, String, Closure)
createHttpClient(Map) - Method in Vertx
  Create a HTTP/HTTPS client
createHttpServer(Map) - Method in Vertx
createNetClient(Map) - Method in Vertx
  Create a TCP/SSL client
createNetServer(Map) - Method in Vertx
  Create a TCP/SSL server
createPump(ReadStream, WriteStream) - Method in Pump
  Create a new `Pump` with the given `ReadStream` and `WriteStream`
createSockJSServer(HttpServer) - Method in Vertx
  Create a SockJS server that wraps an HTTP server

## D

dataHandler(Closure) - Method in HttpClientResponse
  {@inheritDoc}
dataHandler(Closure) - Method in HttpServerRequest
  {@inheritDoc}
dataHandler(Closure) - Method in NetSocket
  {@inheritDoc}
dataHandler(Closure) - Method in ReadStream
  Set a data handler.
dataHandler(Closure) - Method in WebSocket
  {@inheritDoc}
delete(String, boolean, Closure) - Method in FileSystem
  Deletes the file represented by the specified `path`, asynchronously.
delete(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP DELETE request with the specified `uri`.
delete(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP DELETE
deleteSync(String, boolean) - Method in FileSystem
  Synchronous version of delete(String, boolean, Closure)
deleteWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP DELETE
delimitedMode(byte[]) - Method in RecordParser
  Flip the parser into delimited mode, and where the delimiter can be represented by the delimiter `delim`.
deployModule(String, Map, int, Closure) - Method in Container
  Deploy a module programmatically
deployVerticle(String, Map, int, Closure) - Method in Container
  Deploy a verticle programmatically
deployWorkerVerticle(String, Map, int, Closure) - Method in Container
  Deploy a worker verticle programmatically
drainHandler(Closure) - Method in HttpClientRequest
  {@inheritDoc}
drainHandler(Closure) - Method in HttpServerResponse
  {@inheritDoc}
drainHandler(Closure) - Method in NetSocket
  {@inheritDoc}
drainHandler(Closure) - Method in WebSocket
  {@inheritDoc}
drainHandler(Closure) - Method in WriteStream
  Set a drain handler on the stream.

## E

end() - Method in HttpClientRequest
  Ends the request.
end() - Method in HttpServerResponse
  Ends the response.
endHandler(Closure) - Method in HttpClientResponse
  {@inheritDoc}
endHandler(Closure) - Method in HttpServerRequest
  {@inheritDoc}
endHandler(Closure) - Method in NetSocket
  {@inheritDoc}
endHandler(Closure) - Method in ReadStream
  Set an end handler.
endHandler(Closure) - Method in WebSocket
  {@inheritDoc}
EventBus - Class in org.vertx.groovy.core.eventbus
  A distributed lightweight event bus which can encompass multiple vert.x instances.
EventBus(JEventBus) - Constructor in EventBus
exceptionHandler(Closure) - Method in HttpClient
  Set an exception handler
exceptionHandler(Closure) - Method in HttpClientRequest
  {@inheritDoc}
exceptionHandler(Closure) - Method in HttpClientResponse
  {@inheritDoc}
exceptionHandler(Closure) - Method in HttpServerRequest
  {@inheritDoc}
exceptionHandler(Closure) - Method in HttpServerResponse
  {@inheritDoc}
exceptionHandler(Closure) - Method in NetSocket
  {@inheritDoc}
exceptionHandler(Closure) - Method in ReadStream
  Set an exception handler.
exceptionHandler(Closure) - Method in WebSocket
  {@inheritDoc}
exceptionHandler(Closure) - Method in WriteStream
  Set an exception handler on the stream
exists(String, Closure) - Method in FileSystem
  Determines whether the file as specified by the path `path` exists, asynchronously.
existsSync(String) - Method in FileSystem
  Synchronous version of exists(String, Closure)
exit() - Method in Container
  Cause the container to exit

## F

FileSystem - Class in org.vertx.groovy.core.file
  Contains a broad set of operations for manipulating files.
fixedSizeMode(int) - Method in RecordParser
  Flip the parser into fixed size mode, where the record size is specified by `size` in bytes.
flush(Closure) - Method in AsyncFile
  Same as flush but the handler will be called when the flush is complete or an error occurs
fsProps(String, Closure) - Method in FileSystem
  Returns properties of the file-system being used by the specified `path`, asynchronously.
fsPropsSync(String) - Method in FileSystem
  Synchronous version of fsProps(String, Closure)

## G

get(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP GET request with the specified `uri`.
get(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP GET
getAcceptBacklog() - Method in HttpServer
  @return The accept backlog
getAcceptBacklog() - Method in NetServer
  @return The accept backlog
getAt(int) - Method in Buffer
  Same as getByte(int)
getBinaryHandlerID() - Method in WebSocket
  When a `Websocket` is created it automatically registers an event handler with the eventbus, the ID of that handler is given by `binaryHandlerID`.
getBossThreads() - Method in HttpClient
  @return The number of boss threads
getBossThreads() - Method in NetClient
  @return The number of boss threads
getBuffer(int, int) - Method in Buffer
  Returns a copy of a sub-sequence the Buffer as a Buffer starting at position `start` and ending at position `end - 1`
getByte(int) - Method in Buffer
  Returns the `byte` at position `pos` in the Buffer.
getBytes(int, int) - Method in Buffer
  Returns a copy of a sub-sequence the Buffer as a `byte[]` starting at position `start` and ending at position `end - 1`
getBytesPumped() - Method in Pump
  Return the total number of bytes pumped by this pump.
getConfig() - Method in Container
  Get the verticle configuration
getConnectTimeout() - Method in HttpClient
  @return The connect timeout
getConnectTimeout() - Method in NetClient
  @return The connect timeout
getDouble(int) - Method in Buffer
  Returns the `double` at position `pos` in the Buffer.
getEnv() - Method in Container
  Get an umodifiable map of system, environment variables.
getEventBus() - Method in Vertx
  The event bus
getFileSystem() - Method in Vertx
  The File system object
getFloat(int) - Method in Buffer
  Returns the `float` at position `pos` in the Buffer.
getHeaders() - Method in HttpClientRequest
  @return The HTTP headers
getHeaders() - Method in HttpClientResponse
  @return The headers of the response
getHeaders() - Method in HttpServerRequest
  A map of all headers in the request, If the request contains multiple headers with the same key, the values will be concatenated together into a single header with the same key value, with each value separated by a comma, as specified here.
getHeaders() - Method in HttpServerResponse
  @return The headers of the response
getInt(int) - Method in Buffer
  Returns the `int` at position `pos` in the Buffer.
getKeyStorePassword() - Method in HttpClient
  @return The keystore password
getKeyStorePassword() - Method in HttpServer
  @return The keystore password
getKeyStorePassword() - Method in NetClient
  @return The keystore password
getKeyStorePassword() - Method in NetServer
  @return The keystore password
getKeyStorePath() - Method in HttpClient
  @return The path to the key store
getKeyStorePath() - Method in HttpServer
  @return The path to the key store
getKeyStorePath() - Method in NetClient
  @return The path to the key store
getKeyStorePath() - Method in NetServer
  @return The path to the key store
getLength() - Method in Buffer
  Synonym for length
getLogger() - Method in Container
  Get the verticle logger
getLong(int) - Method in Buffer
  Returns the `long` at position `pos` in the Buffer.
getMaxPoolSize() - Method in HttpClient
  Returns the maximum number of connections in the pool
getMethod() - Method in HttpServerRequest
  Returns:
    The HTTP method for the request.
getNow(String, Map, Closure) - Method in HttpClient
  This method works in the same manner as getNow(String,Closure), except that it allows you specify a set of `headers` that will be sent with the request.
getParams() - Method in HttpServerRequest
  @return A map of all query parameters in the request
getPath() - Method in HttpServerRequest
  Returns:
    The path part of the uri.
getPath() - Method in ServerWebSocket
  @return The path the websocket is attempting to connect at
getQuery() - Method in HttpServerRequest
  Returns:
    The query part of the uri.
getReadStream() - Method in AsyncFile
  Return a ReadStream instance operating on this `AsyncFile`.
getReceiveBufferSize() - Method in HttpClient
  @return The TCP receive buffer size
getReceiveBufferSize() - Method in HttpServer
  @return The TCP receive buffer size
getReceiveBufferSize() - Method in NetClient
  @return The TCP receive buffer size
getReceiveBufferSize() - Method in NetServer
  @return The TCP receive buffer size
getReconnectAttempts() - Method in NetClient
  Get the number of reconnect attempts
getReconnectInterval() - Method in NetClient
  Get the reconnect interval, in milliseconds.
getReplyAddress() - Method in Message
getRequestHandler() - Method in HttpServer
  Get the request handler return The request handler
getResponse() - Method in HttpServerRequest
  Returns:
    The response.
getSendBufferSize() - Method in HttpClient
  @return The TCP send buffer size
getSendBufferSize() - Method in HttpServer
  @return The TCP send buffer size
getSendBufferSize() - Method in NetClient
  @return The TCP send buffer size
getSendBufferSize() - Method in NetServer
  @return The TCP send buffer size
getSharedData() - Method in Vertx
  The shared data object
getShort(int) - Method in Buffer
  Returns the `short` at position `pos` in the Buffer.
getStatusCode() - Method in HttpClientResponse
  @return The HTTP status code of the response
getStatusCode() - Method in HttpServerResponse
  Returns:
    The HTTP status code of the response.
getStatusMessage() - Method in HttpClientResponse
  @return The HTTP status message of the response
getStatusMessage() - Method in HttpServerResponse
  Returns:
    The HTTP status message of the response.
getString(int, int) - Method in Buffer
  Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in UTF-8 encoding
getTextHandlerID() - Method in WebSocket
  When a `Websocket` is created it automatically registers an event handler with the eventbus, the ID of that handler is given by `textHandlerID`.
getTrafficClass() - Method in HttpClient
  @return the value of TCP traffic class
getTrafficClass() - Method in HttpServer
  @return the value of TCP traffic class
getTrafficClass() - Method in NetClient
  @return the value of TCP traffic class
getTrafficClass() - Method in NetServer
  @return the value of TCP traffic class
getTrailers() - Method in HttpClientResponse
  @return The trailers of the response
getTrailers() - Method in HttpServerResponse
  @return The trailers of the response
getTrustStorePassword() - Method in HttpClient
  @return The trust store password
getTrustStorePassword() - Method in HttpServer
  @return The trust store password
getTrustStorePassword() - Method in NetClient
  @return The trust store password
getTrustStorePassword() - Method in NetServer
  @return The trust store password
getTrustStorePath() - Method in HttpClient
  @return The trust store path
getTrustStorePath() - Method in HttpServer
  @return The trust store path
getTrustStorePath() - Method in NetClient
  @return The trust store path
getTrustStorePath() - Method in NetServer
  @return The trust store path
getUri() - Method in HttpServerRequest
  Returns:
    The uri of the request.
getWebsocketHandler() - Method in HttpServer
  Get the websocket handler return The websocket handler
getWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP GET
getWriteHandlerID() - Method in NetSocket
  @return When a `NetSocket` is created it automatically registers an event handler with the event bus, the ID of that handler is given by `writeHandlerID`.
getWriteHandlerID() - Method in SockJSSocket
  When a `SockJSSocket` is created it automatically registers an event handler with the event bus, the ID of that handler is given by `writeHandlerID`.
getWriteStream() - Method in AsyncFile
  Return a WriteStream instance operating on this `AsyncFile`.

## H

handle(Buffer) - Method in RecordParser
hashCode() - Method in Buffer
head(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP HEAD request with the specified `uri`.
head(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP HEAD
headWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP HEAD
HttpClient - Class in org.vertx.groovy.core.http
  An HTTP client that maintains a pool of connections to a specific host, at a specific port.
HttpClientRequest - Class in org.vertx.groovy.core.http
  Represents a client-side HTTP request.
HttpClientRequest(JHttpClientRequest) - Constructor in HttpClientRequest
HttpClientResponse - Class in org.vertx.groovy.core.http
  Represents a client-side HTTP response.
HttpClientResponse(HttpClientResponse) - Constructor in HttpClientResponse
HttpServer - Class in org.vertx.groovy.core.http
  An HTTP and WebSockets server
HttpServerRequest - Class in org.vertx.groovy.core.http
  Represents a server-side HTTP request.
HttpServerRequest(JHttpServerRequest) - Constructor in HttpServerRequest
HttpServerResponse - Class in org.vertx.groovy.core.http
  Represents a server-side HTTP response.
HttpServerResponse(HttpServerResponse) - Constructor in HttpServerResponse

## I

installApp(Map, Closure) - Method in SockJSServer
  Install an application
isEventLoop() - Method in Vertx
  Is the current thread an event loop thread?
isReuseAddress() - Method in HttpClient
  @return The value of TCP reuse address
isReuseAddress() - Method in HttpServer
  @return The value of TCP reuse address
isReuseAddress() - Method in NetClient
  @return The value of TCP reuse address
isReuseAddress() - Method in NetServer
  @return The value of TCP reuse address
isSoLinger() - Method in HttpClient
  @return the value of TCP so linger
isSoLinger() - Method in HttpServer
  @return the value of TCP so linger
isSoLinger() - Method in NetClient
  @return the value of TCP so linger
isSoLinger() - Method in NetServer
  @return the value of TCP so linger
isSSL() - Method in HttpClient
  @return true if this client will make SSL connections
isSSL() - Method in HttpServer
  @return true if this server will make SSL connections
isSSL() - Method in NetClient
  @return true if this client will make SSL connections
isSSL() - Method in NetServer
  @return true if this server will make SSL connections
isTCPKeepAlive() - Method in HttpClient
  @return true if TCP keep alive is enabled
isTCPKeepAlive() - Method in HttpServer
  @return true if TCP keep alive is enabled
isTCPKeepAlive() - Method in NetClient
  @return true if TCP keep alive is enabled
isTCPKeepAlive() - Method in NetServer
  @return true if TCP keep alive is enabled
isTCPNoDelay() - Method in HttpClient
  @return true if Nagle's algorithm is disabled.
isTCPNoDelay() - Method in HttpServer
  @return true if Nagle's algorithm is disabled.
isTCPNoDelay() - Method in NetClient
  @return true if Nagle's algorithm is disabled.
isTCPNoDelay() - Method in NetServer
  @return true if Nagle's algorithm is disabled.
isTrustAll() - Method in HttpClient
  @return true if this client will trust all server certificates.
isWorker() - Method in Vertx
  Is the current thread an worker thread?
isWriteQueueFull() - Method in HttpClientRequest
  {@inheritDoc}
isWriteQueueFull() - Method in HttpServerResponse
  {@inheritDoc}
isWriteQueueFull() - Method in NetSocket
  {@inheritDoc}
isWriteQueueFull() - Method in WebSocket
  {@inheritDoc}
isWriteQueueFull() - Method in WriteStream
  This will return `true` if there are more bytes in the write queue than the value set using setWriteQueueMaxSize

## J

jClient - Field in HttpClient
jClient - Field in NetClient
jServer - Field in HttpServer
jServer - Field in NetServer
jServer - Field in SockJSServer

## K

## L

latin1StringToBytes(String) - Method in RecordParser
  Helper method to convert a latin-1 String to an array of bytes for use as a delimiter Please do not use this for non latin-1 characters
leftShift(String) - Method in Buffer
  Same as appendString(String)
leftShift(String) - Method in HttpClientRequest
  Same as write(String)
leftShift(String) - Method in HttpServerResponse
  Same as write(String)
leftShift(String) - Method in NetSocket
  Same as write(String)
leftShift(String) - Method in SockJSSocket
  Write a String to the socket
leftShift(String) - Method in WebSocket
  Same as writeTextFrame(String)
length() - Method in Buffer
  Returns the length of the buffer, measured in bytes.
link(String, String, Closure) - Method in FileSystem
  Create a hard link on the file system from `link` to `existing`, asynchronously.
linkSync(String, String) - Method in FileSystem
  Synchronous version of link(String, String, Closure)
listen(int, String) - Method in HttpServer
  Tell the server to start listening on port `port` and hostname or ip address given by `host`.
listen(int, String) - Method in NetServer
  Instruct the server to listen for incoming connections on the specified `port` and `host`.
lprops(String, Closure) - Method in FileSystem
  Obtain properties for the link represented by `path`, asynchronously.
lpropsSync(String) - Method in FileSystem
  Synchronous version of lprops(String, Closure)

## M

Message - Class in org.vertx.groovy.core.eventbus
Message(JMessage) - Constructor in Message
mkdir(String, String, boolean, Closure) - Method in FileSystem
  Create the directory represented by `path`, asynchronously.
mkdirSync(String, String, boolean) - Method in FileSystem
  Synchronous version of mkdir(String, String, boolean, Closure)
move(String, String, Closure) - Method in FileSystem
  Move a file from the path `from` to path `to`, asynchronously.
moveSync(String, String) - Method in FileSystem
  Synchronous version of move(String, String, Closure)

## N

NetClient - Class in org.vertx.groovy.core.net
  A TCP/SSL client.
NetServer - Class in org.vertx.groovy.core.net
  Represents a TCP or SSL server
NetSocket - Class in org.vertx.groovy.core.net
  Represents a socket-like interface to a TCP/SSL connection on either the client or the server side.
NetSocket(JNetSocket) - Constructor in NetSocket
newDelimited(byte[], Closure) - Method in RecordParser
  Create a new `RecordParser` instance, initially in delimited mode, and where the delimiter can be represented by the `byte[]` delim.
newFixed(int, Closure) - Method in RecordParser
  Create a new `RecordParser` instance, initially in fixed size mode, and where the record size is specified by the `size` parameter.
newVertx(int, String) - Method in Vertx
  Create a clustered Vertx instance
noMatch(Closure) - Method in RouteMatcher
  Specify a handler that will be called when no other handlers match.

## O

open(String, String, boolean, boolean, boolean, boolean, Closure) - Method in FileSystem
  Open the file represented by `path`, asynchronously.
openSync(String, String, boolean, boolean, boolean, boolean) - Method in FileSystem
  Synchronous version of open(String, String, boolean, boolean, boolean, boolean, Closure)
options(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP OPTIONS request with the specified `uri`.
options(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP OPTIONS
optionsWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP OPTIONS

## P

patch(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP PATCH request with the specified `uri`.
patch(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP PATCH
patchWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP PATCH
pause() - Method in HttpClientResponse
  {@inheritDoc}
pause() - Method in HttpServerRequest
  {@inheritDoc}
pause() - Method in NetSocket
  {@inheritDoc}
pause() - Method in ReadStream
  Pause the `ReadStream`.
pause() - Method in WebSocket
  {@inheritDoc}
post(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP POST request with the specified `uri`.
post(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP POST
postWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP POST
props(String, Closure) - Method in FileSystem
  Obtain properties for the file represented by `path`, asynchronously.
propsSync(String) - Method in FileSystem
  Synchronous version of props(String, Closure)
publish(String, def) - Method in EventBus
  Publish a message on the event bus.
Pump - Class in org.vertx.groovy.core.streams
  Pumps data from a ReadStream to a WriteStream and performs flow control where necessary to prevent the write stream from getting overloaded.
put(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP PUT request with the specified `uri`.
put(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP PUT
putAt(int, String) - Method in Buffer
  Same as setString(int, String)
putHeader(String, Object) - Method in HttpClientRequest
  Put an HTTP header - fluent API
putHeader(String, Object) - Method in HttpServerResponse
  Put an HTTP header - fluent API
putWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP PUT

## Q

## R

read(Buffer, int, int, int, Closure) - Method in AsyncFile
  Reads `length` bytes of data from the file at position `position` in the file, asynchronously.
readDir(String, String, Closure) - Method in FileSystem
  Read the contents of the directory specified by `path`, asynchronously.
readDirSync(String, String) - Method in FileSystem
  Synchronous version of readDir(String, String, Closure)
readFile(String, Closure) - Method in FileSystem
  Reads the entire file as represented by the path `path` as a Buffer, asynchronously.
readFileSync(String) - Method in FileSystem
  Synchronous version of readFile(String, Closure)
ReadStream - Interface in org.vertx.groovy.core.streams
  Represents a stream of data that can be read from.
readSymlink(String, Closure) - Method in FileSystem
  Returns the path representing the file that the symbolic link specified by `link` points to, asynchronously.
readSymlinkSync(String) - Method in FileSystem
  Synchronous version of readSymlink(String, Closure)
RecordParser - Class in org.vertx.groovy.core.parsetools
  A helper class which allows you to easily parse protocols which are delimited by a sequence of bytes, or fixed size records.
registerHandler(String, Closure, Closure) - Method in EventBus
  Registers a handler against the specified address.
registerLocalHandler(String, Closure, Closure) - Method in EventBus
  Registers a local handler against the specified address.
registerSimpleHandler(def, Closure) - Method in EventBus
  Registers a handler against a uniquely generated address, the address is returned as the id.
reject() - Method in ServerWebSocket
  Reject the WebSocket
reply(def, Closure) - Method in Message
  Reply to this message.
request(String, String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP request with the specified `uri`.
requestHandler(Closure) - Method in HttpServer
  Set the request handler for the server to {code requestHandler}.
resume() - Method in HttpClientResponse
  {@inheritDoc}
resume() - Method in HttpServerRequest
  {@inheritDoc}
resume() - Method in NetSocket
  {@inheritDoc}
resume() - Method in ReadStream
  Resume reading.
resume() - Method in WebSocket
  {@inheritDoc}
RouteMatcher - Class in org.vertx.groovy.core.http
  This class allows you to do route requests based on the HTTP verb and the request URI, in a manner similar to Sinatra or Express.
runOnLoop(Closure) - Method in Vertx
  Put the handler on the event queue for this loop so it will be run asynchronously ASAP after this event has been processed

## S

send(String, def, Closure) - Method in EventBus
  Send a message on the event bus.
sendFile(String) - Method in HttpServerResponse
  Tell the kernel to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system.
sendFile(String) - Method in NetSocket
  Tell the kernel to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system.
sendHead() - Method in HttpClientRequest
  Forces the head of the request to be written before end() is called on the request.
ServerWebSocket - Class in org.vertx.groovy.core.http
  Represents a server side WebSocket that is passed into a the websocketHandler of an HttpServer
ServerWebSocket(JServerWebSocket) - Constructor in ServerWebSocket
setAcceptBacklog(int) - Method in HttpServer
  Set the accept backlog
setAcceptBacklog(int) - Method in NetServer
  Set the accept backlog
setBossThreads(long) - Method in HttpClient
  Set the number of boss threads to use.
setBossThreads(long) - Method in NetClient
  Set the number of boss threads to use.
setBuffer(int, Buffer) - Method in Buffer
  Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b`.
setByte(int, byte) - Method in Buffer
  Sets the `byte` at position `pos` in the Buffer to the value `b`.
setBytes(int, byte[]) - Method in Buffer
  Sets the bytes at position `pos` in the Buffer to the bytes represented by the `byte[] b`.
setChunked(boolean) - Method in HttpClientRequest
  If chunked is true then the request will be set into HTTP chunked mode
setChunked(boolean) - Method in HttpServerResponse
  If `chunked` is `true`, this response will use HTTP chunked encoding, and each call to write to the body will correspond to a new HTTP chunk sent on the wire.
setClientAuthRequired(boolean) - Method in HttpServer
  Set `required` to true if you want the server to request client authentication from any connecting clients.
setClientAuthRequired(boolean) - Method in NetServer
  Set `required` to true if you want the server to request client authentication from any connecting clients.
setConnectTimeout(long) - Method in HttpClient
  Set the connect timeout in milliseconds
setConnectTimeout(long) - Method in NetClient
  Set the connect timeout in milliseconds
setDouble(int, double) - Method in Buffer
  Sets the `double` at position `pos` in the Buffer to the value `d`.
setFloat(int, float) - Method in Buffer
  Sets the `float` at position `pos` in the Buffer to the value `f`.
setHost(String) - Method in HttpClient
  Set the host that the client will attempt to connect to the server on to `host`.
setInt(int, int) - Method in Buffer
  Sets the `int` at position `pos` in the Buffer to the value `i`.
setKeepAlive(boolean) - Method in HttpClient
  If `keepAlive` is `true` then, after the request has ended the connection will be returned to the pool where it can be used by another request.
setKeyStorePassword(String) - Method in HttpClient
  Set the password for the SSL key store.
setKeyStorePassword(String) - Method in HttpServer
  Set the password for the SSL key store.
setKeyStorePassword(String) - Method in NetClient
  Set the password for the SSL key store.
setKeyStorePassword(String) - Method in NetServer
  Set the password for the SSL key store.
setKeyStorePath(String) - Method in HttpClient
  Set the path to the SSL key store.
setKeyStorePath(String) - Method in HttpServer
  Set the path to the SSL key store.
setKeyStorePath(String) - Method in NetClient
  Set the path to the SSL key store.
setKeyStorePath(String) - Method in NetServer
  Set the path to the SSL key store.
setLong(int, long) - Method in Buffer
  Sets the `long` at position `pos` in the Buffer to the value `l`.
setMaxPoolSize(int) - Method in HttpClient
  Set the maximum pool size
setOutput(Closure) - Method in RecordParser
setPeriodic(long, Closure) - Method in Vertx
  Set a periodic timer to fire every `delay` milliseconds, at which point `handler` will be called with the id of the timer.
setPort(int) - Method in HttpClient
  Set the port that the client will attempt to connect to the server on to `port`.
setReceiveBufferSize(int) - Method in HttpClient
  Set the TCP receive buffer size for connections created by this instance to `size` in bytes.
setReceiveBufferSize(int) - Method in HttpServer
  Set the TCP receive buffer size for connections created by this instance to `size` in bytes.
setReceiveBufferSize(int) - Method in NetClient
  Set the TCP receive buffer size for connections created by this instance to `size` in bytes.
setReceiveBufferSize(int) - Method in NetServer
  Set the TCP receive buffer size for connections created by this instance to `size` in bytes.
setReconnectAttempts(int) - Method in NetClient
  Set the number of reconnection attempts.
setReconnectInterval(long) - Method in NetClient
  Set the reconnect interval, in milliseconds
setReplyAddress(String) - Method in Message
setReuseAddress(boolean) - Method in HttpClient
  Set the TCP reuseAddress setting for connections created by this instance to `reuse`.
setReuseAddress(boolean) - Method in HttpServer
  Set the TCP reuseAddress setting for connections created by this instance to `reuse`.
setReuseAddress(boolean) - Method in NetClient
  Set the TCP reuseAddress setting for connections created by this instance to `reuse`.
setReuseAddress(boolean) - Method in NetServer
  Set the TCP reuseAddress setting for connections created by this instance to `reuse`.
setSendBufferSize(int) - Method in HttpClient
  Set the TCP send buffer size for connections created by this instance to `size` in bytes.
setSendBufferSize(int) - Method in HttpServer
  Set the TCP send buffer size for connections created by this instance to `size` in bytes.
setSendBufferSize(int) - Method in NetClient
  Set the TCP send buffer size for connections created by this instance to `size` in bytes.
setSendBufferSize(int) - Method in NetServer
  Set the TCP send buffer size for connections created by this instance to `size` in bytes.
setShort(int, short) - Method in Buffer
  Sets the `short` at position `pos` in the Buffer to the value `s`.
setSoLinger(boolean) - Method in HttpClient
  Set the TCP soLinger setting for connections created by this instance to `linger`.
setSoLinger(boolean) - Method in HttpServer
  Set the TCP soLinger setting for connections created by this instance to `linger`.
setSoLinger(boolean) - Method in NetClient
  Set the TCP soLinger setting for connections created by this instance to `linger`.
setSoLinger(boolean) - Method in NetServer
  Set the TCP soLinger setting for connections created by this instance to `reuse`.
setSSL(boolean) - Method in HttpClient
  If `ssl` is `true`, this signifies that any connections will be SSL connections.
setSSL(boolean) - Method in HttpServer
  If `ssl` is `true`, this signifies that any connections will be SSL connections.
setSSL(boolean) - Method in NetClient
  If `ssl` is `true`, this signifies that any connections will be SSL connections.
setSSL(boolean) - Method in NetServer
  If `ssl` is `true`, this signifies that any connections will be SSL connections.
setStatusCode(int) - Method in HttpServerResponse
  Set the status code
setStatusMessage(String) - Method in HttpServerResponse
  Set the status message
setString(int, String, String) - Method in Buffer
  Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in encoding `enc`.
setTCPKeepAlive(boolean) - Method in HttpClient
  Set the TCP keepAlive setting for connections created by this instance to `keepAlive`.
setTCPKeepAlive(boolean) - Method in HttpServer
  Set the TCP keepAlive setting for connections created by this instance to `keepAlive`.
setTCPKeepAlive(boolean) - Method in NetClient
  Set the TCP keepAlive setting for connections created by this instance to `keepAlive`.
setTCPKeepAlive(boolean) - Method in NetServer
  Set the TCP keepAlive setting for connections created by this instance to `keepAlive`.
setTCPNoDelay(boolean) - Method in HttpClient
  If `tcpNoDelay` is set to `true` then Nagle's algorithm will turned off for the TCP connections created by this instance.
setTCPNoDelay(boolean) - Method in HttpServer
  If `tcpNoDelay` is set to `true` then Nagle's algorithm will turned off for the TCP connections created by this instance.
setTCPNoDelay(boolean) - Method in NetClient
  If `tcpNoDelay` is set to `true` then Nagle's algorithm will turned off for the TCP connections created by this instance.
setTCPNoDelay(boolean) - Method in NetServer
  If `tcpNoDelay` is set to `true` then Nagle's algorithm will turned off for the TCP connections created by this instance.
setTimer(long, Closure) - Method in Vertx
  Set a one-shot timer to fire after `delay` milliseconds, at which point `handler` will be called with the id of the timer.
setTrafficClass(int) - Method in HttpClient
  Set the TCP trafficClass setting for connections created by this instance to `trafficClass`.
setTrafficClass(int) - Method in HttpServer
  Set the TCP trafficClass setting for connections created by this instance to `trafficClass`.
setTrafficClass(int) - Method in NetClient
  Set the TCP trafficClass setting for connections created by this instance to `trafficClass`.
setTrafficClass(int) - Method in NetServer
  Set the TCP trafficClass setting for connections created by this instance to `reuse`.
setTrustAll(boolean) - Method in HttpClient
  If you want an SSL client to trust *all* server certificates rather than match them against those in its trust store, you can set this to true.
setTrustAll(boolean) - Method in NetClient
  If you want an SSL client to trust *all* server certificates rather than match them against those in its trust store, you can set this to true.
setTrustStorePassword(String) - Method in HttpClient
  Set the password for the SSL trust store.
setTrustStorePassword(String) - Method in HttpServer
  Set the password for the SSL trust store.
setTrustStorePassword(String) - Method in NetClient
  Set the password for the SSL trust store.
setTrustStorePassword(String) - Method in NetServer
  Set the password for the SSL trust store.
setTrustStorePath(String) - Method in HttpClient
  Set the path to the SSL trust store.
setTrustStorePath(String) - Method in HttpServer
  Set the path to the SSL trust store.
setTrustStorePath(String) - Method in NetClient
  Set the path to the SSL trust store.
setTrustStorePath(String) - Method in NetServer
  Set the path to the SSL trust store.
setWriteQueueMaxSize(int) - Method in HttpClientRequest
  {@inheritDoc}
setWriteQueueMaxSize(int) - Method in HttpServerResponse
  {@inheritDoc}
setWriteQueueMaxSize(int) - Method in NetSocket
  {@inheritDoc}
setWriteQueueMaxSize(int) - Method in Pump
  Set the write queue max size to `maxSize`
setWriteQueueMaxSize(int) - Method in WebSocket
  {@inheritDoc}
setWriteQueueMaxSize(int) - Method in WriteStream
  Set the maximum size of the write queue to `maxSize`.
SockJSServer - Class in org.vertx.groovy.core.sockjs
  This is an implementation of the server side part of SockJS
SockJSSocket - Class in org.vertx.groovy.core.sockjs
  You interact with SockJS clients through instances of SockJS socket.
SockJSSocket(SockJSSocket) - Constructor in SockJSSocket
start() - Method in Pump
  Start the Pump.
stop() - Method in Pump
  Stop the Pump.
symlink(String, String, Closure) - Method in FileSystem
  Create a symbolic link on the file system from `link` to `existing`, asynchronously.
symlinkSync(String, String) - Method in FileSystem
  Synchronous version of link(String, String, Closure)

## T

toClosure() - Method in RecordParser
  Convert to a closure so it can be plugged into data handlers
toJavaBuffer() - Method in Buffer
  Returns the underlying Java buffer
toJavaRequest() - Method in HttpServerRequest
toJavaServer() - Method in HttpServer
toJavaVertx() - Method in Vertx
toString() - Method in Buffer
  Returns a `String` represention of the Buffer with the encoding specified by `enc`
trace(String, Closure) - Method in HttpClient
  This method returns an HttpClientRequest instance which represents an HTTP TRACE request with the specified `uri`.
trace(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP TRACE
traceWithRegEx(String, Closure) - Method in RouteMatcher
  Specify a handler that will be called for a matching HTTP TRACE
truncate(String, long, Closure) - Method in FileSystem
  Truncate the file represented by `path` to length `len` in bytes, asynchronously.
truncateSync(String, long) - Method in FileSystem
  Synchronous version of truncate(String, long, Closure)

## U

undeployModule(String, Closure) - Method in Container
  Undeploy a module
undeployVerticle(String, Closure) - Method in Container
  Undeploy a verticle
unlink(String, Closure) - Method in FileSystem
  Unlinks the link on the file system represented by the path `link`, asynchronously.
unlinkSync(String) - Method in FileSystem
  Synchronous version of unlink(String, Closure)
unregisterHandler(String, Closure, Closure) - Method in EventBus
  Unregisters a handler given the address and the handler
unregisterSimpleHandler(String, Closure) - Method in EventBus
  Unregister a handler given the unique handler id

## V

Vertx - Class in org.vertx.groovy.core
  The control centre of vert.x
Vertx(VertxInternal) - Constructor in Vertx

## W

WebSocket - Class in org.vertx.groovy.core.http
  Represents an HTML 5 Websocket
WebSocket(JWebSocket) - Constructor in WebSocket
websocketHandler(Closure) - Method in HttpServer
  Set the websocket handler for the server to {code wsHandler}.
wrapHandler(def) - Method in EventBus
write(Buffer, int, Closure) - Method in AsyncFile
  Write a Buffer to the file at position `position` in the file, asynchronously.
write(String, String, Closure) - Method in HttpClientRequest
  Write a java.lang.String to the request body, encoded with encoding `enc`.
write(String, Closure) - Method in HttpServerResponse
  Write a java.lang.String to the response body, encoded in UTF-8.
write(String, String, Closure) - Method in NetSocket
  Write a java.lang.String to the connection, encoded with encoding `enc`.
writeBinaryFrame(Buffer) - Method in WebSocket
  Write `data` to the websocket as binary frame
writeBuffer(Buffer) - Method in HttpClientRequest
  {@inheritDoc}
writeBuffer(Buffer) - Method in HttpServerResponse
  {@inheritDoc}
writeBuffer(Buffer) - Method in NetSocket
  {@inheritDoc}
writeBuffer(Buffer) - Method in WebSocket
  {@inheritDoc}
writeBuffer(Buffer) - Method in WriteStream
  Write some data to the stream.
writeFile(String, String, Closure) - Method in FileSystem
  Creates the file, and writes the specified `String data` to the file represented by the path `path`, asynchronously.
writeFileSync(String, String) - Method in FileSystem
  Synchronous version of writeFile(String, String, Closure)
WriteStream - Interface in org.vertx.groovy.core.streams
  Represents a stream of data that can be written to.
writeTextFrame(String) - Method in WebSocket
  Write `str` to the websocket as text frame

## X

## Y

## Z

## _

Groovy Documentation